Basins close to bounding box are not calculated
Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/SAGA

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data:No Copied to github as #: 20674

Description

Compare the attached image to the exercise in the training manual: three peripheral basins are not calculated.

History

#1 - 2016-10-25 04:04 AM - Alexander Bruy

Looks like SAGA issue

#2 - 2016-10-25 05:23 AM - Paolo Cavallini

Possibly - cannot test now because of saga API break. However at first it worked, as shown by the images on the training manual.

#3 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2017-08-22 10:21 AM - Victor Olaya

This is a SAGA thing, and not really an issue, but an improvement. Basins that "touch" the boundary of the layer are affected by the so-called "edge

contamination", since you dont know what is upstream, and catchment area values (from where rivers and basins are computed) are not sound. So looks

like SAGA decided to not add those basins.

In any case, i suggest updating the exercise screenshots, and to not consider this a bug

#5 - 2017-08-22 10:58 AM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2017-09-22 02:01 PM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed
